package com.bonait.bnframework.modules.home.fragment.from;

import static com.bonait.bnframework.MainApplication.getContext;

import androidx.appcompat.app.AppCompatActivity;

import android.annotation.SuppressLint;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.util.AttributeSet;
import android.util.Xml;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.Spinner;

import com.bonait.bnframework.R;
import com.bonait.bnframework.common.base.BaseActivity;
import com.bonait.bnframework.common.constant.MessageName;
import com.bonait.bnframework.common.db.QueryDB;
import com.bonait.bnframework.common.db.mode.BPA_MATERIAL;
import com.bonait.bnframework.common.db.mode.BPA_PROCESS;
import com.bonait.bnframework.common.db.mode.BPA_PROCESSModel;
import com.bonait.bnframework.common.helper.MyImage;
import com.bonait.bnframework.common.message.MessageManager;
import com.bonait.bnframework.common.utils.ToastUtils;
import com.bonait.bnframework.modules.home.fragment.mode.fragment_gx;
import com.bonait.bnframework.modules.home.fragment.mode.item_gx;
import com.qmuiteam.qmui.widget.QMUITopBar;
import com.qmuiteam.qmui.widget.dialog.QMUIDialog;
import com.youth.banner.Banner;

import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

import java.io.IOException;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

public class DiyActivity extends BaseActivity {
    @BindView(R.id.topbar)
    QMUITopBar mTopBar;
    @BindView(R.id.Banner_Main)
    Banner Banner_Main;//轮播图
    //用于存放获取的图片
    List<Drawable> Banner_list = new ArrayList<>();

    @BindView(R.id.hrgx)
    Spinner hrgx;//工序
    Map<String,String> hrgx_map = new LinkedHashMap<>();

    @BindView(R.id.gxchid)
    LinearLayout gxchid;//工序子集
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_diy);//属性绑定
        ButterKnife.bind(this);
        initTopBar();
        initData();
    }

    private void initData()
    {
        //1.初始化轮播图
        Drawable_Get(Banner_list);
        //2.初始化工序
        ArrayList<BPA_PROCESS> data=QueryDB.GetProcessALL();
        for (BPA_PROCESS item:data)
        {
            hrgx_map.put(item.name,item.id);
        }
        ArrayAdapter<String> adapter_kk = new ArrayAdapter<>(getContext(), R.layout.spinner_text_item, new ArrayList<>(hrgx_map.keySet()));
        adapter_kk.setDropDownViewResource(R.layout.spinner_dropdown_item);
        hrgx.setAdapter(adapter_kk);
        hrgx.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
            @Override
            public void onItemSelected(AdapterView<?> adapterView, View view, int i, long l) {
                String id= hrgx_map.get(hrgx.getSelectedItem().toString());
                SelectItemFrom(id);
            }
            @Override
            public void onNothingSelected(AdapterView<?> adapterView) {
            }
        });
        //3.
    }
    /**
     * 根据选中工序id显示集合
     * @param id
     */
    public  void SelectItemFrom(String id)
    {
        try
        {
            gxchid.removeAllViews();
            ArrayList<BPA_PROCESSModel> mode= QueryDB.GetProcessModelProcessID(id);
            if(mode.size()>0)//工序
            {
                for (BPA_PROCESSModel item : mode)
                {
                    item_gx gx=new item_gx();
                    gx.datatype=item.datatype;
                    gx.name=item.name;
                    gx.data=item.data;
                    gx.IsWL=false;
                    fragment_gx gongxu=new fragment_gx(this,null,gx);
                    gxchid.addView(gongxu);
                }
            }else //物料
            {
                ArrayList<BPA_MATERIAL> materials= QueryDB.GetMaterialALL();
                for (BPA_MATERIAL item2 : materials)
                {
                    item_gx gx=new item_gx();
                    gx.datatype=0;//液体料都是数字
                    gx.name=item2.name;
                    gx.IsWL=true;
                    fragment_gx gongxu=new fragment_gx(this,null,gx);
                    gxchid.addView(gongxu);
                }

            }
        }catch (Exception ex)
        {

        }
    }
    private void initTopBar() {
        mTopBar.setTitle("DIY模式");
        mTopBar.addLeftImageButton(R.mipmap.fanhui,R.id.topbar).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                finish();
            }
        });
    }
    //获取图片存放到list中
    private void Drawable_Get(List arrayList) {
        //从drawable文件夹下获取到事先准备的图片，在这里演示三张图片
        Drawable drawable = getResources().getDrawable(R.mipmap.hgr);
        Drawable drawable1 = getResources().getDrawable(R.mipmap.hgr);
        Drawable drawable2 = getResources().getDrawable(R.mipmap.hgr);
        //把他们存放到一个list集合中
        arrayList.add(drawable);
        arrayList.add(drawable1);
        arrayList.add(drawable2);
        //调用轮播图设置方法
        Banner_Set(Banner_list);
    }
    //将图片存放到轮播图中
    private void Banner_Set(List arrayList) {
        //这是设置轮播图的关键位置，setImages(list) 设置轮播图的图片资源
        //setImageLoader（一个实体类）用于加载图片到手机页面上显示
        Banner_Main.setImages(Banner_list).setImageLoader(new MyImage()).start();
    }

    /**
     * 点击事件
     * @param view
     */
    @OnClick({R.id.add_hrgx,R.id.update_gx,R.id.delete_gx,R.id.shangyi,R.id.xiayi,R.id.caozuomoshi,R.id.shengchengcaipu})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.add_hrgx://添加工序

                ToastUtils.info("添加工序");
                break;
            case R.id.update_gx://修改工序

                ToastUtils.info("修改工序");
                break;
            case R.id.delete_gx://删除工序

                ToastUtils.info("删除工序");
                break;
            case R.id.shangyi://上移

                ToastUtils.info("上移");
                break;
            case R.id.xiayi://下移

                ToastUtils.info("下移");
                break;
            case R.id.caozuomoshi://操作模式

                ToastUtils.info("操作模式");
                break;
            case R.id.shengchengcaipu://生成菜谱

                ToastUtils.info("生成菜谱");
                break;
        }
    }

    @Override
    public void onDestroy() {
        super.onDestroy();
    }
    @Override
    protected boolean canDragBack() {
        return false;
    }
}